#@+leo-ver=4
#@+node:@file trace_keys.py
"""Trace keystrokes in the outline and body panes"""

from leoPlugins import *
from leoGlobals import *

#@+others
#@+node:onKey
def onKey (tag,keywords):

	ch = keywords.get("ch")
	if ch and len(ch) > 0:
		es("key",`ch`)
#@nonl
#@-node:onKey
#@-others

if 0: # Register the handlers...
	registerHandler(("bodykey1","bodykey2","headkey1","headkey2"), onKey)
	
	__version__ = "1.2"
	plugin_signon(__name__)
#@nonl
#@-node:@file trace_keys.py
#@-leo
